/* --- config.js ----- */

define({
    'app': {
        //'domain': 'goma-app.centramed.nl',
        'domain': 'sandera.goma.dev5.intern.prezent.nl',

        // homePageAlias may be a string if it's the same for all languages
        'homePageAlias': {
            'en':      'en',
            'default': 'nl'
        },

        'languages': {
            'default':     'nl',
            'supported': {
                'nl':      'nederlands'/*,
                'en':      'english',
                'fr':      'français',
                'de':      'deutsch'*/
            },
            'filePath':    '/app/translations/'
        },

        'defStrings': {

            'connection': {
                'unknown':        'Unknown connection',
                'disconnected': {
                    'title':      'Disconnected',
                    'body':       'Unable to connect to the internet.\nThis feature is unable to function when disconnected.'
                }
            },

            'notifications': {
                'buttons': {
                    'confirm':    'OK',
                    'cancel':     'Cancel',
                    'close':      'Close'
                }
            }
        }
    },

    'jQuery': {

        'support': {
            'cors':                      true,
            'dynamicBaseTag':            true
        },

        'mobile': {
            'allowCrossDomainPages':     true,
            'buttonMarkup': {
                'hoverDelay':            true
            },
            'pushStateEnabled':          false,
            'defaultPageTransition':     'none',
            'defaultDialogTransition':   'none',
            'phonegapNavigationEnabled': true
        }
    }
});