/* --- jquery-app-setup.js ----- */

define(['jquery', 'config'], function($, config) {

	var jQuery = $.noConflict();

	// --- jQuery Mobile ----- //
	$(document).on('mobileinit', function() {
		var jQueryConfig = config.jQuery;

		$.extend(true, $.support, jQueryConfig.support);
		$.extend(true, $.mobile, jQueryConfig.mobile);
	});

	// --- Ajax setup ----- //
	$.ajaxSetup({
		headers: {
			'X-App-Type': 'mobile-native',
			// Set X-App-Version to widget.version or -1 if falsy
			'X-App-Version': (typeof widget === 'object' && widget.version) || -1,
			// Set X-Device to device (stringified) or userAgent or 'Unknown' if both are falsy
			'X-Device': (typeof device === 'object' && JSON && JSON.stringify && JSON.stringify(device)) || (navigator && navigator.userAgent) || 'Unknown'
		}
	});

	return jQuery;
});